Page MenuHomePhabricator

[Bug] Hovering over references in reference previews dismisses dialog
Closed, ResolvedPublic3 Story Points

Description

Steps to reproduce

  1. visit http://localhost:8181/wiki/Middle_English on the Vector desktop site with reference previews enabled.
  2. Hover over "[4]".
  3. In the reference preview that appears, hover over "[3]".

Expected results

  • Reference preview should remain unchanged.

Actual results

  • Reference preview disappears.

Environments observed

  • Browser version: Chromium v71.0.3578.98
  • OS version: Ubuntu v18.10
  • Device model: Desktop
  • Device language: English
  • Git commit: fb56a2e

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 4 2019, 7:51 PM
Niedzielski renamed this task from [Bug] Hovering over references in reference previews dismiss dialog to [Bug] Hovering over references in reference previews dismisses dialog.Feb 4 2019, 7:52 PM
Lea_WMDE triaged this task as Normal priority.Feb 5 2019, 1:43 PM
Lea_WMDE moved this task from Backlog to Ready for pickup on the Reference Previews board.
WMDE-Fisch set the point value for this task to 3.
WMDE-Fisch added a subscriber: WMDE-Fisch.

Note that for now it was decided that we do not want to support popups in popups. So the desired behavior here should be:

  • Hovering over the footnote inside of the popup should not close the popup. But should also not trigger another popup.
jkroll claimed this task.Feb 6 2019, 2:16 PM
jkroll moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2019-02-06 board.

Change 488910 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] [WIP] Exclude links in popups to trigger other popups

https://gerrit.wikimedia.org/r/488910

thiemowmde removed jkroll as the assignee of this task.Feb 11 2019, 1:17 PM
thiemowmde moved this task from Doing to Review on the WMDE-QWERTY-Sprint-2019-02-06 board.
thiemowmde added a subscriber: jkroll.

Change 488910 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Exclude links in popups to trigger other popups

https://gerrit.wikimedia.org/r/488910

Lea_WMDE closed this task as Resolved.Feb 20 2019, 9:00 AM
Lea_WMDE claimed this task.
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2019-02-06 board.